# Some sanity checks on the data returned from xmapcore

if(FALSE) {
	library( "RUnit" )
	library( "xmapcore" )
}

###############################################################################
## SetUp is called before each test method
##
.setUp = function() {
}

###############################################################################
## TearDown is called after each test method
##
.tearDown = function() {
}

test.chaining = function() {
	data = tryCatch( xmap.connect( 'hs-test' ), error=function(e) { FALSE } )
	if( length( data ) == 1 ) {
		print( paste( "Cannot find datasource 'hs-test' so skipping this test." ) )
	}
	else {
		checkEquals( is.vector( gene.to.probeset( symbol.to.gene( "tp53" ) ) ),
				     TRUE,
					 "Should return a vector by default" )
		checkEquals( is.data.frame( gene.to.probeset( symbol.to.gene( "tp53" ), as.vector=FALSE ) ),
				     TRUE,
					 "as.vector == false whould return a RangedData object" )
		checkEquals( class( probeset.to.hit( gene.to.probeset( symbol.to.gene( "tp53" ), as.vector=FALSE ) ) )[1],
					 'RangedData',
					 "Should be a Ranged Data object" )
		checkEquals( gene.to.probeset( symbol.to.gene( "tp53", as.vector=FALSE ) ),
				     gene.to.probeset( symbol.to.gene( "tp53" ) ),
				     "Should get the same output no mater whether the input is a vector or RangedData" )
		xmap.disconnect()
	}
}
