\name{xmapcore-package}
\alias{xmapcore-package}
\alias{xmapcore}
\docType{package}
\title{
  Provide access to the X:Map annotation database
}
\description{
  X:Map \url{http://xmap.picr.man.ac.uk} Is a genome annotation
  database and genome browser, based on the Google Maps API. The
  underlying annotation is derived from ENSEMBL
  (\url{http://www.ensembl.org}). X:Map also provides probe to genome
  mappings for Affymetrix Exon arrays.

  The xmapcore package makes the data in xmap available for use within
  R and BioConductor.

  xmapcore provides core annotation. Other packages, which depend on xmapcore, provide additional functionality:\cr

  \code{xmaprotein}: provides additional annotation for
  protein-coding genes.\cr
  \code{xmapbridge}) makes it possible to output graphs that
  can be displayed within the X:Map genome browser.
}
\details{
  \tabular{ll}{
    Package: \tab xmapcore\cr
    Type: \tab Package\cr
    Version: \tab 0.9.3\cr
    Date: \tab 2009-07-08\cr
    License: \tab GPL-2\cr
  }
}
\author{
  Tim Yates\cr
  Crispin Miller\cr
  Maintainer: Tim Yates <tyates@picr.man.ac.uk>
}
\references{
  Yates T, Okoniewski MJ, Miller CJ. X:Map: annotation and visualization of genome structure for Affymetrix exon array analysis. Nucleic Acids Res. 2008 Jan;36(Database issue):D780-6. Epub 2007 Oct 11.\cr
  \url{http://nar.oxfordjournals.org/cgi/content/full/gkm779v1}
}
\keyword{ package }
\seealso{
 \code{xmaprotein} \code{xmapbridge} \code{\link{IRanges}}
}
