\name{xmapcore.all}
\alias{xmapcore.all}
\alias{all.arrays}
\alias{all.chromosomes}
\alias{all.domains}
\alias{all.est_exons}
\alias{all.est_genes}
\alias{all.est_transcripts}
\alias{all.exons}
\alias{all.genes}
\alias{all.prediction_transcripts}
\alias{all.probes}
\alias{all.probesets}
\alias{all.proteins}
\alias{all.symbols}
\alias{all.synonyms}
\alias{all.transcripts}
\title{
  xmapcore \'all\' functions
}
\description{
  Get all annotations for a given feature. For example, \code{all.genes} will return data for all the genes in the genome.
}
\usage{
  all.arrays( as.vector=TRUE )
  all.chromosomes( as.vector=TRUE )
  all.domains( as.vector=TRUE )
  all.est_exons( as.vector=TRUE )
  all.est_genes( as.vector=TRUE )
  all.est_transcripts( as.vector=TRUE )
  all.exons( as.vector=TRUE )
  all.genes( as.vector=TRUE )
  all.prediction_transcripts( as.vector=TRUE )
  all.probes( as.vector=TRUE )
  all.probesets( as.vector=TRUE )
  all.proteins( as.vector=TRUE )
  all.symbols( as.vector=TRUE )
  all.synonyms( as.vector=TRUE )
  all.transcripts( as.vector=TRUE )
}
\arguments{
  \item{as.vector}{ If \code{TRUE} returns a vector of database identifiers. If \code{FALSE} returns a \code{\link{RangedData}} object containing detailed annotation. }
}
\value{
  Returns a \code{vector} or \code{\link{RangedData}} object, as defined by \code{as.vector}.
}
\seealso{
  \code{\link{xmapcore.to}}\cr
  \code{\link{xmapcore.details}}\cr
  \code{\link{xmapcore.range}}\cr
  \code{\link{xmapcore.utils}}\cr
  \code{\link{xmapcore.filters}}\cr
  \code{\link{RangedData}}
}
\author{
  Tim Yates
}
\examples{
  if(interactive()) {
    xmap.connect()	
    all.chromosomes()
    all.chromosomes(as.vector=FALSE)
  }
}
