\name{xmapcore.details}
\alias{xmapcore.details}
\alias{array.details}
\alias{chromosome.details}
\alias{domain.details}
\alias{est_exon.details}
\alias{est_gene.details}
\alias{est_transcript.details}
\alias{exon.details}
\alias{gene.details}
\alias{prediction_transcript.details}
\alias{probe.details}
\alias{probeset.details}
\alias{protein.details}
\alias{synonym.details}
\alias{transcript.details}
\title{
  xmapcore \'details\' functions
}
\description{
  Get detailed annotations for the specified features.
}
\usage{
  array.details( ids, as.data.frame=FALSE )
  chromosome.details( ids, as.data.frame=FALSE )
  domain.details( ids, as.data.frame=FALSE )
  est_exon.details( ids, as.data.frame=FALSE )
  est_gene.details( ids, as.data.frame=FALSE )
  est_transcript.details( ids, as.data.frame=FALSE )
  exon.details( ids, as.data.frame=FALSE )
  gene.details( ids, as.data.frame=FALSE )
  prediction_transcript.details( ids, as.data.frame=FALSE )
  probe.details( ids, as.data.frame=FALSE )
  probeset.details( ids, as.data.frame=FALSE )
  protein.details( ids, as.data.frame=FALSE )
  synonym.details( ids, as.data.frame=FALSE )
  transcript.details( ids, as.data.frame=FALSE )
}
\arguments{
  \item{ids}{ Database identifiers for the features of interest }
  \item{as.data.frame}{ If \code{FALSE}, data will be converted to a \code{RangedData} object if possible, otherwise a \code{data.frame} }
}
\value{
  Results in an \code{\link{RangedData}} object (or a \code{data.frame} if \code{TRUE} is passed for the second parameter), one \'row\' per feature, containing detailed annotations.
}
\seealso{
  \code{\link{xmapcore.to}}\cr
  \code{\link{xmapcore.all}}\cr
  \code{\link{xmapcore.range}}\cr
  \code{\link{xmapcore.utils}}\cr
  \code{\link{xmapcore.filters}}\cr
  \code{\link{RangedData}}\cr
}
\author{
  Tim Yates
}
\examples{ 
  if(interactive()) {
    xmap.connect()
    gene.details(symbol.to.gene("TP53"))
  }
}
