\name{xmapcore.env}
\alias{xmapcore.env}
\alias{xmap.env}
\alias{xmap.get.param}
\alias{xmap.set.param}
\alias{xmap.array.type}
\title{
  xmapcore \'env\' functions
}
\description{
  Functions to access internal parameters
}
\usage{
  xmap.env()
  xmap.get.param( key )
  xmap.set.param( ... )
  xmap.array.type( name=NULL, pick.default=FALSE )
}
\arguments{
  \item{ ... }{ A list of key-value parameters you wish to set. }
  \item{key}{ The key for the value you want to return. }
  \item{name}{ The name of the array you want to use.  If \code{NULL}, you will be presented with a menu of options. }
  \item{pick.default}{ If \code{TRUE}, \code{xmap.array.type} will choose the first available arraytype for this species. }
}
\details{
  These functions allow some access to \code{xmapcore}\'s configuration data. They are included to help debug database connection issues, and are not normally needed.

  On connection, a default arraytype (Affymetrix Exon arrays, where available) is specfied for the probe
  mappings. \code{xmap.array.type} allows a different type of array to
  be specfied. This included for future compatibility.

}
\seealso{
  \code{\link{xmapcore.to}}\cr
  \code{\link{xmapcore.details}}\cr
  \code{\link{xmapcore.all}}\cr
  \code{\link{xmapcore.range}}\cr
  \code{\link{xmapcore.filters}}\cr
}
\author{
  Tim Yates
  Crispin J. Miller
}
\examples{
  if(interactive()) {
    xmap.env()
    xmap.get.param( "debug" )
    xmap.connect()
    xmap.set.param( debug=TRUE)
    xmap.connect()
    xmap.set.param( debug=FALSE)
    xmap.disconnect()
  }
  \dontrun{
     xmap.array.type("HuEx-1_0")
  }
}
